%define upstream_name    XML-Filter-XInclude
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XInclude as a SAX Filter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: perl(URI)
BuildArch: noarch

%description
This module implements a simple SAX filter that provides XInclude support.
It does _NOT_ support XPointer.

XInclude is very simple, just include something like this in your XML
document:

  <xi:include href="foo.xml" 
    xmlns:xi="http://www.w3.org/2001/XInclude"/>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.0.0-5.mga9
+ Revision: 1830112
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1498393
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1272763
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-2.mga6
+ Revision: 1036016
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.0.0-1.mga6
+ Revision: 924965
- imported package perl-XML-Filter-XInclude


* Sun May 10 2015 buchan 1.0-1mga
- initial mageia release, generated with cpan2dist
